# XQilla DOM3 API Documentation

# xercesc::DOMLSSerializerFilter Class Reference

`#include <DOMLSSerializerFilter.hpp>`

Inheritance diagram for xercesc::DOMLSSerializerFilter:
[legend]

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMLSSerializerFilter ()
| Destructor.
Functions introduced in DOM Level 3
virtual FilterAction | acceptNode (const DOMNode *node) const =0
| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).
virtual ShowType | getWhatToShow () const =0
| Tells the DOMLSSerializer what types of nodes to show to the filter.

## Protected Member Functions

Hidden constructors
| DOMLSSerializerFilter ()

## Constructor & Destructor Documentation

xercesc::DOMLSSerializerFilter::DOMLSSerializerFilter | ( |  | ) | `[inline, protected]`

virtual xercesc::DOMLSSerializerFilter::~DOMLSSerializerFilter | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual FilterAction xercesc::DOMLSSerializerFilter::acceptNode | ( | const DOMNode * | node | ) | const`[pure virtual]`

Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).

Implements xercesc::DOMNodeFilter.

virtual ShowType xercesc::DOMLSSerializerFilter::getWhatToShow | ( |  | ) | const`[pure virtual]`

Tells the DOMLSSerializer what types of nodes to show to the filter.

See `DOMNodeFilter` for definition of the constants. The constant SHOW_ATTRIBUTE is meaningless here, attribute nodes will never be passed to a DOMLSSerializerFilter.

Returns:
  The constants of what types of nodes to show.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLSSerializerFilter.hpp